import React from "react";
import { BlockType, FileType, OCRBlock, OCRBlockRenderProps } from "./ReactOCRRenderer.types";
declare const ReactOCRRenderer: ({ file, type, ocrJson, searchText, highlightedBlockTypes, customRenderComponent }: {
    file: string;
    type: FileType;
    ocrJson: {
        Blocks: OCRBlock[];
        DocumentMetadata: {
            Pages: number;
        };
    };
    searchText?: string | string[] | undefined;
    highlightedBlockTypes?: BlockType[] | undefined;
    customRenderComponent?: ((props: OCRBlockRenderProps) => JSX.Element) | undefined;
}) => React.JSX.Element;
export default ReactOCRRenderer;
